function [v5dstruc_km]=v5d_deg_to_km(v5dstruc);
%function v5d_deg_to_km.m(v5dstruc);
%converts x and y axis in v5d structure from degrees to km using the assumption
%that the grid covers a sufficiently small domain so that distortions due
%to the curvature of the earth are negligible.
v5dstruc_km=v5dstruc;
if (v5dstruc.xyzunits.x(1)=='d' & v5dstruc.xyzunits.x(2)=='e' ...
            & v5dstruc.xyzunits.x(3)=='g')
   scale = 1.11195;      % kilometers/deg
   v5dstruc_km.xaxis=v5dstruc.xaxis*scale;
   v5dstruc_km.yaxis=v5dstruc.yaxis*scale;
   v5dstruc_km.xyzunits.x='km';
   v5dstruc_km.xyzunits.y='km';
else
  fprintf('\n**x-axis units in %s on entry**\n', v5dstruc_km.xyzunits.x); 
  fprintf('**since units not in deg, deg->km conversion was not applied!**\n');
end; 

