function v5dprintvars(v5dstruc);
%function v5dprintvars(v5dstruc)
%prints information on the axis, times and variables in a vis5d structure.
%v5dstruc = a vis5d structure returned by a call to vis5d('open','filename') 
fprintf('Information from Vis5D file = %s \n',v5dstruc.filename)
fprintf('axis   N_pts    Min          Max \n X     ')
fprintf('%-5g     %-10g %-10g \n'...
    ,v5dstruc.xydims(1) ,v5dstruc.xaxis(1)...
    ,v5dstruc.xaxis(v5dstruc.xydims(1)))
fprintf(' Y     %-5g     %-10g %-10g \n'...
    ,v5dstruc.xydims(2) ,v5dstruc.yaxis(1)...
    ,v5dstruc.yaxis(v5dstruc.xydims(2)))
if v5dstruc.ntimes==1
    fprintf('\n  %-4g time frame  \n',v5dstruc.ntimes)
    fprintf('  %-20s \n',v5dstruc.times(1,:));
else
    fprintf('\n  %-4g time frames  \n',v5dstruc.ntimes)
    fprintf(' Start %-20s \n',v5dstruc.times(1,:)); 
    fprintf(' End   %-20s \n',v5dstruc.times(v5dstruc.ntimes,:)); 
end; 
fprintf('\n \n')
fprintf('Variable        Min         Max    N_z_points   z_min    z_max \n' )
for i=1:v5dstruc.nvars
fprintf('  %-10s  %-10g  %-10g  %-8g %-8g %-8g %s \n'...
     ,v5dstruc.vars(i).name...
    ,v5dstruc.vars(i).limits,v5dstruc.vars(i).zdim...
    ,v5dstruc.vars(i).zaxis(1)...
    ,v5dstruc.vars(i).zaxis(v5dstruc.vars(i).zdim)...
    ,v5dstruc.vars(i).units)
end;
